Skip to navigation

Create Refund

This endpoint performs a full or partial refund. The refund operation is idempotent if a unique requestId and merchantReference are provided.

If using the Deferred Payment Flow, be aware that only captured funds can be refunded. Do not create refunds after 120 days from the date of purchase.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read70

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

orderIdstringRequired
The unique Afterpay Order ID to apply the refund to.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Request

This endpoint expects an object.
requestIdstringOptional

Unique ID required for safe retries. Max length 64 (varchar).

amountobjectOptional
Object containing amount and currency
merchantReferencestringOptional

The merchant’s internal refund id/reference. This must be included along with the requestId to utilise idempotency. Max length 85 (varchar).

refundMerchantReferencestringOptional<=128 characters

A unique reference for the individual refund event. Max length 128 (varchar).

Response

Returns a Refund object in response. All request parameters are echoed in the response. In addition, the response includes the following:

AttributeTypeDescription
refundIdstringThe unique, permanent, Afterpay-generated Refund ID.
refundedAtstringThe UTC timestamp of when the refund was completed, in ISO 8601 format.
amountobjectOptional
Object containing amount and currency
merchantReferencestringOptional

The merchant’s internal refund id/reference. This must be included along with the requestId to utilise idempotency. Max length 85 (varchar).

refundIdstringOptionalRead-only

The unique, permanent, Afterpay-generated Refund ID.

refundMerchantReferencestringOptional<=128 characters

A unique reference for the individual refund event. Max length 128 (varchar).

refundedAtstringOptionalRead-only
requestIdstringOptional

Unique ID required for safe retries. Max length 64 (varchar).

Errors

412
Precondition Failed Error
422
Unprocessable Entity Error